BdbService.setEnvironmentConfig_args (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.setEnvironmentConfig_args

- java.lang.Object
- - com.sleepycat.thrift.BdbService.setEnvironmentConfig_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.setEnvironmentConfig_args>, org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>, org.apache.thrift.TSerializable
  Enclosing class:
    BdbService

      public static class BdbService.setEnvironmentConfig_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<BdbService.setEnvironmentConfig_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BdbService.setEnvironmentConfig_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TEnvironment` | `env`
    `TEnvironmentConfig` | `envConfig`
    `static java.util.Map<BdbService.setEnvironmentConfig_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `setEnvironmentConfig_args()`
    `setEnvironmentConfig_args(BdbService.setEnvironmentConfig_args other)` Performs a deep copy on other.
    `setEnvironmentConfig_args(TEnvironment env, TEnvironmentConfig envConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(BdbService.setEnvironmentConfig_args other)`
    `BdbService.setEnvironmentConfig_args` | `deepCopy()`
    `boolean` | `equals(BdbService.setEnvironmentConfig_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `BdbService.setEnvironmentConfig_args._Fields` | `fieldForId(int fieldId)`
    `TEnvironment` | `getEnv()`
    `TEnvironmentConfig` | `getEnvConfig()`
    `java.lang.Object` | `getFieldValue(BdbService.setEnvironmentConfig_args._Fields field)`
    `int` | `hashCode()`
    `boolean` | `isSet(BdbService.setEnvironmentConfig_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEnv()` Returns true if field env is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEnvConfig()` Returns true if field envConfig is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `BdbService.setEnvironmentConfig_args` | `setEnv(TEnvironment env)`
    `BdbService.setEnvironmentConfig_args` | `setEnvConfig(TEnvironmentConfig envConfig)`
    `void` | `setEnvConfigIsSet(boolean value)`
    `void` | `setEnvIsSet(boolean value)`
    `void` | `setFieldValue(BdbService.setEnvironmentConfig_args._Fields field, java.lang.Object value)`
    `java.lang.String` | `toString()`
    `void` | `unsetEnv()`
    `void` | `unsetEnvConfig()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### env

          public TEnvironment env

    - #### envConfig

          public TEnvironmentConfig envConfig

    - #### metaDataMap

          public static final java.util.Map<BdbService.setEnvironmentConfig_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### setEnvironmentConfig_args

          public setEnvironmentConfig_args()

    - #### setEnvironmentConfig_args

          public setEnvironmentConfig_args(TEnvironment env,
                                           TEnvironmentConfig envConfig)

    - #### setEnvironmentConfig_args

          public setEnvironmentConfig_args(BdbService.setEnvironmentConfig_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public BdbService.setEnvironmentConfig_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### getEnv

          public TEnvironment getEnv()

    - #### setEnv

          public BdbService.setEnvironmentConfig_args setEnv(TEnvironment env)

    - #### unsetEnv

          public void unsetEnv()

    - #### isSetEnv

          public boolean isSetEnv()

      Returns true if field env is set (has been assigned a value) and false otherwise

    - #### setEnvIsSet

          public void setEnvIsSet(boolean value)

    - #### getEnvConfig

          public TEnvironmentConfig getEnvConfig()

    - #### setEnvConfig

          public BdbService.setEnvironmentConfig_args setEnvConfig(TEnvironmentConfig envConfig)

    - #### unsetEnvConfig

          public void unsetEnvConfig()

    - #### isSetEnvConfig

          public boolean isSetEnvConfig()

      Returns true if field envConfig is set (has been assigned a value) and false otherwise

    - #### setEnvConfigIsSet

          public void setEnvConfigIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(BdbService.setEnvironmentConfig_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(BdbService.setEnvironmentConfig_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### isSet

          public boolean isSet(BdbService.setEnvironmentConfig_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(BdbService.setEnvironmentConfig_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(BdbService.setEnvironmentConfig_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<BdbService.setEnvironmentConfig_args>`

    - #### fieldForId

          public BdbService.setEnvironmentConfig_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<BdbService.setEnvironmentConfig_args,BdbService.setEnvironmentConfig_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.